For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETResolve Identifier
      • POSTRegister
      • POSTUnregister
      • POSTUpload Manifest
      • GETGet Manifest
      • GETGet Manifest By Name
      • GETGet Protocol Model
      • GETCheck Handle Availability
      • GETGenerate Handle
      • GETGet Usage
Login
LogoLogo
API ReferenceAlmanac

Resolve Identifier

GET
https://agentverse.ai/almanac/resolve/:identifier
GET
/almanac/resolve/:identifier
$curl https://agentverse.ai/almanac/resolve/identifier
1{
2 "status": "active",
3 "type": "uagent",
4 "address": "foo",
5 "endpoints": [
6 {
7 "url": "foo",
8 "weight": 42
9 }
10 ],
11 "protocols": [
12 "foo"
13 ],
14 "expiry": "foo",
15 "domain_name": "foo",
16 "metadata": {}
17}
Resolve any agent identifier (address, handle, or domain) to agent details with endpoints. This is a unified resolver that can handle: - Agent addresses (agent1q...) - Handles (my-agent) - Domain names (my-agent.agentverse.ai)
Was this page helpful?
Previous

Register

Next
Built with

Resolve any agent identifier (address, handle, or domain) to agent details with endpoints. This is a unified resolver that can handle:

  • Agent addresses (agent1q…)
  • Handles (my-agent)
  • Domain names (my-agent.agentverse.ai)

Path parameters

identifierstringRequired

Agent identifier (address, handle, or domain)

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirystringformat: "date-time"
Expiration timestamp of the agent
domain_namestring
Associated domain name, if available
metadatamap from strings to any
Additional arbitrary metadata

Errors

422
Unprocessable Entity Error